Perform the Secure Resources action for a shipment
post
/custom-actions/secureResources/tenders/{shipmentId}
Request
Path Parameters
-
shipmentId(required): string
Shipment GID
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK. Shipment tendered successfully.
Root Schema : secureResourcesResponse
Type:
objectResponse after secure resources the shipment.
Show Source
-
items: array
items
Secure Resources response for tender.
Nested Schema : items
Type:
arraySecure Resources response for tender.
Show Source
-
Array of:
object resultItem
Response after withdraw the tender.
Nested Schema : resultItem
Type:
objectResponse after withdraw the tender.
Show Source
-
domainName: string
Domain Name
-
endTime:
endTime
End Time
-
rateOffering: string
Rate Offering
-
serviceProviderID: string
Service Provider ID
-
shipmentPk: string
Pk of the shipment
-
startTime:
startTime
Start Time
-
totalActualCost:
totalActualCost
Total Actual Cost
-
totalWeightedCost:
totalWeightedCost
Total Weighted Cost
Nested Schema : dateTimeType
Type:
Show Source
object-
timezone: string
Timezone in Olson database format
-
value: string
(date-time)
Date in ISO 8601 format
Nested Schema : currencyType
Type:
Show Source
object-
currency: string
ISO 4217 currency code
-
value: number
Numeric value that specifies a currency
400 Response
Bad Request. The server could not understand the request due to invalid syntax or parameters.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized. Authentication is required and has failed or has not yet been provided.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Forbidden. Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
Internal Server Error. The server encountered an internal error that prevented it from fulfilling this request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.